/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$("#nav-1").click(function () {
    document.getElementById('btn-actForm').disabled = false;
});
$("#nav-2").click(function () {
    document.getElementById('btn-actForm').disabled = false;
});
$("#nav-3").click(function () {
    document.getElementById('btn-actForm').disabled = false;
});

function traerCalificaciones(ideAlu) {
    document.getElementById('btn-actForm').disabled = true;
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/ceVSC', // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu}, // especifica si será una petición POST o GET
        type: 'GET', // el tipo de información que se espera de respuesta
        dataType: 'html', // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-calificaciones").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        }, success: function (respuesta) {
            document.getElementById("contenedor-calificaciones").innerHTML = respuesta;
        }, // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedor-calificaciones").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // traerCalificaciones

function validarEleccion() {
    $ideAlu = document.getElementById('ideAlu').value;
    $plan = document.getElementById('mapaCurricular').value;

    if ($plan === "default") {
        swal("", "Debes seleccionar un mapa Curricular", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/aaMC', // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: $ideAlu, plan: $plan}, // especifica si será una petición POST o GET
            type: 'GET', // el tipo de información que se espera de respuesta
            dataType: 'html', // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-calificaciones").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
            }, success: function (respuesta) {
                document.getElementById("contenedor-calificaciones").innerHTML = respuesta;
            }, // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                document.getElementById("contenedor-calificaciones").innerHTML = "Error";
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
} // validarEleccion

function guardarPeriodo(ideAlu, cuatri) {
    $ideAlu = ideAlu;
    $cuatri = cuatri;
    $periodo = document.getElementById('periodo-' + $cuatri).value;

    if ($periodo === "") {
        swal("", "Debe escribir el Periodo", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/gpBoleta', // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: $ideAlu, cuatri: $cuatri, periodo: $periodo}, // especifica si será una petición POST o GET
            type: 'POST', // el tipo de información que se espera de respuesta
            dataType: 'html', // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("ph-con-" + $cuatri).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
            }, success: function (respuesta) {
                document.getElementById("ph-con-" + $cuatri).innerHTML = respuesta;
            }, // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                document.getElementById("ph-con-" + $cuatri).innerHTML = "Error";
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
} // guardarPeriodo

function guardarCalificacion(ideAlu, asignatura) {
    $ideAlu = ideAlu;
    $asignatura = asignatura;
    $cal = document.getElementById("cal-" + $asignatura).value;
    $ind = document.getElementById("indicador-" + $asignatura).value;

    if ($cal === "" | $ind === "default") {
        swal("", "Debe escribir la calificación y seleccionar un Indicador", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/gcBoleta', // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {
                ideAlu: $ideAlu,
                asignatura: $asignatura,
                cal: $cal,
                ind: $ind
            }, // especifica si será una petición POST o GET
            type: 'POST', // el tipo de información que se espera de respuesta
            dataType: 'html', // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("cont-calS-" + $asignatura).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
            }, success: function (respuesta) {
                document.getElementById("cont-calS-" + $asignatura).innerHTML = respuesta;
            }, // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                document.getElementById("cont-calS-" + $asignatura).innerHTML = "Error";
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
} // guardarPeriodo


function eliminarPlanEstudiosAlumno(ideAlu) {
    document.getElementById('btn-actForm').disabled = true;
    if (confirm("ESTÁ SEGURO DE ELIMINAR EL PLAN DE ESTUDIOS?")) {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/eliminarPlanEstudioVsAlumno', // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu}, // especifica si será una petición POST o GET
            type: 'POST', // el tipo de información que se espera de respuesta
            dataType: 'html', // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-calificaciones").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Eliminando...</b>';
            }, success: function (respuesta) {
                document.getElementById("contenedor-calificaciones").innerHTML = respuesta;

                traerCalificaciones(ideAlu);
            }, // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                document.getElementById("contenedor-calificaciones").innerHTML = "";
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {

    }
} // eliminarPlanEstudiosAlumno